## smbus2 0.4.3

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = smbus2
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## smbus2 0.4.1

=== debian/changelog ===
smbus2 (0.4.1-3build2) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 12:22:04 +0200

smbus2 (0.4.1-3) unstable; urgency=medium

  * [e11ac83] Move package into the Electronics Team
  * [5c426a1] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Mar 2021 22:32:43 +0100

smbus2 (0.4.1-2) unstable; urgency=medium

  * [39d9b75] Enable autopkgtest
  * [99e99d9] Trim trailing whitespace.
  * [9be036c] Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Feb 2021 21:38:45 +0100

smbus2 (0.4.1-1) unstable; urgency=medium

  * Initial upload. (Closes: #981298)

 -- Anton Gladky <gladk@debian.org>  Thu, 28 Jan 2021 21:50:20 +0100

=== debian/control ===
Source: smbus2
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-pil,
               python3-pytest,
               python3-setuptools,
               sphinx
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/electronics-team/smbus2
Vcs-Git: https://salsa.debian.org/electronics-team/smbus2.git
Homepage: https://github.com/kplindegaard/smbus2

Package: python3-smbus2
Architecture: any
Section: python
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: another pure Python implementation of the python-smbus package
 Currently supported features are:
    Get i2c capabilities (I2C_FUNCS)
    SMBus Packet Error Checking (PEC) support
    read_byte
    write_byte
    read_byte_data
    write_byte_data
    read_word_data
    write_word_data
    read_i2c_block_data
    write_i2c_block_data
    write_quick
    process_call
    read_block_data
    write_block_data
    block_process_call
    i2c_rdwr - combined write/read transactions with repeated start

Package: python3-smbus2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: doc for another pure Python implementation of the python-smbus
 Currently supported features are:
    Get i2c capabilities (I2C_FUNCS)
    SMBus Packet Error Checking (PEC) support
    read_byte
    write_byte
    read_byte_data
    write_byte_data
    read_word_data
    write_word_data
    read_i2c_block_data
    write_i2c_block_data
    write_quick
    process_call
    read_block_data
    write_block_data
    block_process_call
    i2c_rdwr - combined write/read transactions with repeated start
    Documentation

=== debian/watch ===
version=4
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
https://github.com/kplindegaard/smbus2/tags .*/v?(\d\S+)\.tar\.gz

## smbus2 0.4.2

=== debian/changelog ===
smbus2 (0.4.2-1) unstable; urgency=medium

  * [c451ed9] New upstream version 0.4.2
  * [4517966] Update standards version to 4.6.1, no changes needed.

 -- Anton Gladky <gladk@debian.org>  Mon, 24 Oct 2022 22:43:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pytest,
                python3-setuptools,
                sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/electronics-team/smbus2
 Vcs-Git: https://salsa.debian.org/electronics-team/smbus2.git
 Homepage: https://github.com/kplindegaard/smbus2

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = smbus2

%:
	dh $@ --with python3 --buildsystem=pybuild --with sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf *smbus2.egg-info

override_dh_auto_install-indep:
	cd $(CURDIR)/doc && make html
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/img\.shields\.io//g'
	cd $(CURDIR)/doc//_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/travis-ci\.org//g'

## smbus2 0.4.3

=== debian/changelog ===
smbus2 (0.4.3-1) unstable; urgency=medium

  * [064ba57] New upstream version 0.4.3. (Closes: #1058410)
  * [eecb877] Update standards version to 4.6.2, no changes needed.
  * [ac07a93] Remove doc-build folder. (Closes: #1046394)

 -- Anton Gladky <gladk@debian.org>  Mon, 15 Jan 2024 06:41:49 +0100

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME = smbus2

%:
	dh $@ --with python3 --buildsystem=pybuild --with sphinxdoc

execute_after_dh_auto_clean:
	dh_auto_clean
	rm -rf *smbus2.egg-info
	rm -rf doc/_build

override_dh_auto_install-indep:
	cd $(CURDIR)/doc && make html
	cd $(CURDIR)/doc/_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/img\.shields\.io//g'
	cd $(CURDIR)/doc/_build/html && find . -type f -print0 | xargs -0 sed -i 's/https:\/\/travis-ci\.org//g'

## smbus2 0.5.0

=== debian/changelog ===
smbus2 (0.5.0-1) unstable; urgency=medium

  * [e6ce5be] chore: Fix debian watch file
  * [ffffa00] New upstream version 0.5.0
  * [bf8e577] fix: Fix mock close function in tests

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Aug 2025 06:39:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-pytest,
                python3-setuptools,
                sphinx
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/electronics-team/smbus2
 Vcs-Git: https://salsa.debian.org/electronics-team/smbus2.git
 Homepage: https://github.com/kplindegaard/smbus2

=== debian/watch ===
version=4
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/kplindegaard/smbus2/tags .*/v?(\d\S+)\.tar\.gz
